Cyberduck Mountain Duck CLI

#8506 closed defect (fixed)

No overwrite prompt on upload to non case-sensitive file system

Reported by: damonearl Owned by: dkocher
Priority: normal Milestone: 4.6.4
Component: ftp Version: 4.6.3
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 8.1

Description

When using files that have the same name but have different casing it doesn't ask to overwrite.

Change History (6)

comment:1 Changed on Jan 20, 2015 at 12:18:22 PM by dkocher

  • Milestone set to 4.7
  • Summary changed from Upload overwrites without asking to Upload overwrites without asking on non case sensitive file system

comment:2 Changed on Jan 25, 2015 at 3:09:46 PM by dkocher

  • Summary changed from Upload overwrites without asking on non case sensitive file system to No overwrite prompt on upload to non case-sensitive file system

comment:3 Changed on Jan 25, 2015 at 4:25:58 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

We need to add some fuzzy logic if we want to determine if a remote file system is case sensitive. Currently we always assume it is.

comment:4 Changed on Jan 27, 2015 at 10:40:41 AM by dkocher

  • Component changed from core to ftp

comment:5 Changed on Jan 27, 2015 at 11:28:28 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r16606.

comment:6 Changed on Jan 28, 2015 at 8:54:00 AM by dkocher

  • Milestone changed from 4.7 to 4.6.4
Note: See TracTickets for help on using tickets.